#
# spec file for rcdrecord
#

Summary: webCDwriter command line client
Name: rcdrecord
Version: 2.8.0
Release: 1
License: GPL
Group: Archiving/Cd burning
Source: %{name}-%{version}.tar.bz2
URL: http://JoergHaeger.de/webCDwriter/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: /usr

%description
rcdrecord is a command line client of webCDwriter that tries to offer
the functionality of cdrecord over the network. In addition to this
there are several extensions like using MP3s for audio CDs and
adding files to a data CD made easy by the command files2cd.

%changelog
* Sat Sep 24 2005 Jrg P. M. Haeger <mail@JoergHaeger.de>
- change "Copyright" to "License"
- some enhancements from webCDwriter.spec

* Wed May 08 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- set source archive to .tar.bz2 and added run.html

* Thu May 03 2001 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- adaption to the new Makefile and some small enhancements

* Thu Feb 08 2001 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- revised for rcdrecord-1.0.2

* Fri Jan 26 2001 Marc Lavalle <odradek@videotron.ca>
- first version

%prep
if [ ! -e $RPM_BUILD_ROOT/dev/ ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%setup

%build
./configure --bindir=%{prefix}/bin
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

# creation of default /etc/rcdrecord.conf
install -d $RPM_BUILD_ROOT/etc/
cat > $RPM_BUILD_ROOT/etc/rcdrecord.conf << EOF
server=localhost
port=12411
EOF

%clean
if [ ! -e $RPM_BUILD_ROOT/dev/ ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-, root, root)
%config(noreplace) /etc/rcdrecord.conf
%doc INSTALL README run.html use.html win32.html
/usr/bin/rcdrecord
/usr/bin/files2cd
/usr/bin/image2cd

%post
echo
echo -e "If you want to preselect your local CDWserver,"
echo -e "edit /etc/rcdrecord.conf!"
echo
